Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class MultipartDef

    java.lang.Object
      org.apache.catalina.deploy.MultipartDef

All Implemented Interfaces:
  Serializable

    public class MultipartDef

extends Object
implements Serializable

Representation of a the multipart configuration for a servlet.

See Also:
  Serialized Form

Constructor Summary
`MultipartDef()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getFileSizeThreshold()`
`String` | `getLocation()`
`String` | `getMaxFileSize()`
`String` | `getMaxRequestSize()`
`int` | `hashCode()`
`void` | `setFileSizeThreshold(String fileSizeThreshold)`
`void` | `setLocation(String location)`
`void` | `setMaxFileSize(String maxFileSize)`
`void` | `setMaxRequestSize(String maxRequestSize)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartDef

    public MultipartDef()

Method Detail

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### getMaxFileSize

    public String getMaxFileSize()

### setMaxFileSize

    public void setMaxFileSize(String maxFileSize)

### getMaxRequestSize

    public String getMaxRequestSize()

### setMaxRequestSize

    public void setMaxRequestSize(String maxRequestSize)

### getFileSizeThreshold

    public String getFileSizeThreshold()

### setFileSizeThreshold

    public void setFileSizeThreshold(String fileSizeThreshold)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.